<?php
/*
webDevStudio
Copyright (C) 2005 Alberto Martnez Fernndez (albertinho_2000@hotmail.com)
                   Israel Ortiz Flores (i_ortiz_flores@hotmail.com)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
require("authentication_admin.php");

//Comprobamos si el formulario est correctamente rellenado:
$user=$_POST['user'];
$password=$_POST['password'];
$repassword=$_POST['repassword'];
$first_name=$_POST['first_name'];
$second_name=$_POST['second_name'];
$address=$_POST['address'];
$postal_code=$_POST['postal_code'];
$city=$_POST['city'];
$country=$_POST['country'];
$sex=$_POST['sex'];
$day=$_POST['day'];
$month=$_POST['month'];
$year=$_POST['year'];
$email=$_POST['email'];
$error=0;

//No se han completado todos los campos
if (("$user"=="") || ("$password"=="") || ("$repassword"=="") || ("$email"=="")) {
	$mensaje="All obligatory fields must be completed";
	$error=1;
}
//Comprobamos que el nombre de usuario es correcto
else if (ereg("[\\/:*?\"<>|\']", $user) == TRUE) {
	$mensaje="The user name is incorrect.<BR><BR>Please, don't use: \,/,:,*,?,\",<,>,|,'";
	$error=1;
}
//El password y el repassword no son iguales
else if ("$password"!="$repassword") {
	$mensaje="Password and Re-Password are diferent";
	$error=1;
}
//Comprobamos que el mail es correcto
//Comprobamos si no tiene @ o no tiene texto antes de la @
else if ( (strrpos($email,'@')==FALSE) || (strrpos($email,'@')==0) ) {
	$mensaje="The e-mail is incorrect";
	$error=1;
}
//Comprobamos si hay mas de una @ o no tiene . despues de la @
else if ( (substr_count($email,'@')>1) || (stristr(substr(stristr($email,'@'),1),'.')==FALSE) ) {
	$mensaje="The e-mail is incorrect";
	$error=1;
}
//El formulario est correctamente rellenado
else {
	//Recogemos los datos de conexion de la base de datos
	require('../connect_config.php');

	//Establecemos la conexion con el servidor
	$conexion=mysql_connect($db_host,$db_user,$db_password);

	//Asignamos la conexin a una base de datos determinada
	mysql_select_db($db_name,$conexion);

	//Preparamos los datos para almacenarlos correctamente en el BBDD
	$user=strtolower($user);
	$password=sha1($password);

	//Recogemos en una variable el nombre de la TABLA
	$tabla="users";
	
	//Aadimos el nuevo registro
	mysql_query("INSERT $tabla (user,password,first_name,second_name,address,postal_code,city,country,sex,day,month,year,email)
				 VALUES ('$user','$password','$first_name','$second_name','$address','$postal_code','$city','$country','$sex','$day','$month','$year','$email')",$conexion);
			 
	//Comprobamos el resultado de la insercion
	//el error CERO significa NO ERROR
	//el error 1062 significa Clave duplicada
	//en otros errores forzamos a que nos ponga el nmero de error
	//y el significado de ese error (aunque sea en ingles)....
	if (mysql_errno($conexion)==0) {
		//Creamos el directorio del usuario
		mkdir("../users/$user", 0777);
		
		//Indicamos que no ha habido errores
		$error=0;
	}
	else {
		if (mysql_errno($conexion)==1062){
			$mensaje="There is another user with this user name";
			$error=1;
		}
		else { 
			$numerror=mysql_errno($conexion);
        	$descrerror=mysql_error($conexion);
        	$mensaje="Error n $numerror: $descrerror  <br>";
			$error=1;
	    }
	}

	//Cerramos la conexion
	mysql_close(); 
} 
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>webDevStudio :: Create my account</title>
<link href="../style.css" rel="stylesheet" type="text/css">
<SCRIPT LANGUAGE="JavaScript" type="text/javascript">
	function volver()
	{
	  history.back()
	}
</SCRIPT>
</head>
<body>
<?php
	include("head_admin.php")
?>
<table width="780" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td colspan="5" height="25"></td>
  </tr>
  <tr>
    <td width="19" valign="top"></td>
    <td width="244" height="72" valign="top">
	<?php
	//Creamos la tabla de las opciones de la izquierda
	if ($error!=1) {
    	include("menu_accounts_admin.php");
	}
	else {
		echo '<img src="../images/logo_admin.png" alt="My Admin">
	  		  <br>
	          <font class="Estilo2">My Admin<br>Account</font>';
	}
	?>
    </td>
    <td width="1" bgcolor="#333333"></td>
    <td width="46" valign="top"></td>
    <td width="*" valign="top"><br>
    <p>
	<?php
	//Devolvemos el mensaje de error correspondiente
	if ($error==1) {
		echo '<span class="Estilo9">Sorry, there are errors in the form</span><br>';
		echo '<p class="Estilo12">'.$mensaje.'</p>';
		echo '<p><input type="button" name="Back" value="Back" OnCLick="volver()"></p>';
	}
	else {
		echo '<span class="Estilo9">Congratulations!</span>';
		echo '<p class="Estilo12">The account have been created successfully</p>';
	}
	?> 
	</td>
  </tr>
  <tr>
    <td colspan="5" height="25"></td>
  </tr>
</table>
<?php
	include("foot_admin.php")
?>
</body>
</html>
